2026-05-20
  • 2025-11-15
  • 2025-03-25
  • 2025-01-20
  • 2022-03-14
  • 2026-05-20
Help Center
VCCHUB How-to
2026-05-20
  • 2025-11-15
  • 2025-03-25
  • 2025-01-20
  • 2022-03-14
  • 2026-05-20
2026-05-20
  • 2025-11-15
  • 2025-03-25
  • 2025-01-20
  • 2022-03-14
  • 2026-05-20
  1. Acquiring
  • Guides
    • Welcome
    • Interface
  • API Reference
    • Introduction
    • Endpoints
    • Data Types
    • Signing
    • 3-D Secure Verification
    • Subscription
    • Errors
    • Webhooks
    • Items Information
    • Changelog
    • Acquiring
      • Create a direct payment
        POST
      • Create a APM payment
        POST
      • Create a redirect (iFrame) payment
        POST
      • Query a transaction
        POST
      • Capture a transaction
        POST
      • Review a transaction
        POST
      • Cancel a transaction
        POST
      • Cancel a subscription
        POST
      • Refund a transaction
        POST
      • Search a refund transaction
        POST
      • Create a payout
        POST
      • Optimise payment methods
        POST
      • Batch Upload Logistics Information
        POST
    • Issuing
      • Cardholder
        • Create cardholder
        • Update Cardholder
        • Delete cardholder
        • Query cardholder
      • Group
        • Create group
        • Query group details
        • Delete group
        • Group Card Withdrawal
        • Update group status
        • Recharge group
        • Query rule
      • Card
        • Create a card
        • Query card details
        • Query card transaction
        • Cancel a card
        • Withdraw from a card
        • Update card status
        • Recharge card
        • Update shared card limit
        • Query for card operation
        • Query card BIN
      • Account
        • Query Account Balance
  • Appendix
    • Test Cards
    • Bank Code
    • Country Code
    • Currency Code
    • Payment Methods
  1. Acquiring

Batch Upload Logistics Information

POST
https://test-api.star-saas.com/v1/logistics
This API allows merchants to upload logistics information for a transaction.
The platform will store the information and synchronize it to supported payment channels if available.
This batch API allows merchants to upload logistics information for up to 10 transactions in a single request, supporting partial success and independent error handling per transaction.

Request

Body Params application/jsonRequired

Example
{
    "merchant_id": "1038501",
    "account_id": "1038501001",
    "request_id": "",
    "items": [
        {
            "transaction_id": "P2003787826134548481122428327",
            "merchant_order_id": "P20037878261345484811224",
            "carrier_key": "100002",
            "tracking_number": "2126613fffff63f66fffff23f"
        }
    ],
    "encryption_data": "8AA21ABF25E85289FF082D7C72B75ACC3F868FF8CB31A8BCBA96B1511EBCC7D9"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://test-api.star-saas.com/v1/logistics' \
--header 'Content-Type: application/json' \
--data '{
    "merchant_id": "1038501",
    "account_id": "1038501001",
    "request_id": "",
    "items": [
        {
            "transaction_id": "P2003787826134548481122428327",
            "merchant_order_id": "P20037878261345484811224",
            "carrier_key": "100002",
            "tracking_number": "2126613fffff63f66fffff23f"
        }
    ],
    "encryption_data": "8AA21ABF25E85289FF082D7C72B75ACC3F868FF8CB31A8BCBA96B1511EBCC7D9"
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Examples
{
    "code": "SUCCESS",
    "data": {
        "account_id": "1038501001",
        "total_count": 1,
        "encryption_data": "D7C6D457C36C6A56CA3CCB921A435A52930C258785A35F3AF8BF544033A3C50A",
        "success_count": 1,
        "failure_count": 0,
        "merchant_id": "1038501",
        "request_id": "8888",
        "results": [
            {
                "transaction_id": "P2003787826134548481122428327",
                "message": "",
                "status": "SUCCESS"
            }
        ]
    }
}
Previous
Optimise payment methods
Next
Create cardholder